gdcm::network::NCreateRQ Class Reference

NCreateRQ. More...

`#include <gdcmNCreateMessages.h>`

Inheritance diagram for gdcm::network::NCreateRQ:
[legend]
Collaboration diagram for gdcm::network::NCreateRQ:
[legend]

## Public Member Functions

std::vector< PresentationDataValue > | ConstructPDV (const ULConnection &inConnection, const BaseQuery *inQuery) override
Public Member Functions inherited from gdcm::network::BaseNormalizedMessage
virtual | ~BaseNormalizedMessage ()=default

## Detailed Description

NCreateRQ.

this file defines the messages for the ncreate action

## Member Function Documentation

## ConstructPDV()

std::vector< PresentationDataValue > gdcm::network::NCreateRQ::ConstructPDV | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )

override virtual

Implements gdcm::network::BaseNormalizedMessage.

The documentation for this class was generated from the following file:

- gdcmNCreateMessages.h